Subject: bug#17076: closed (Re: bug#17076: [PATCH] tests: depcomp2: avoid spurious failure on OS/X)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 21 Apr 2014 09:10:04 +0000

Your bug report

#17076: [PATCH] tests: depcomp2: avoid spurious failure on OS/X

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17076: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17076
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17076: [PATCH] tests: depcomp2: avoid spurious failure on OS/X
From: Stefano Lattarini <[email-masked]>
To: Jim Meyering <[email-masked]>, [email-masked]
Cc: "[email-masked]" <[email-masked]>
Date: Mon, 21 Apr 2014 10:08:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Jim, sorry for the delay (but don't expect anything better
in the future, sadly).

On 03/23/2014 09:49 PM, Jim Meyering wrote:
> I happened to notice a test failure on OS/X 10.8.5, and it was trivial to fix.
> I'll push this to master in a week unless I hear otherwise.
> 
I already have a similar change locally, but I forgot to push
it to master.  Will do soon.  Closing this bug.

Subject: [PATCH] tests: depcomp2: avoid spurious failure on OS/X
From: Jim Meyering <[email-masked]>
To: [email-masked]
Date: Sun, 23 Mar 2014 14:49:32 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I happened to notice a test failure on OS/X 10.8.5, and it was trivial to fix.
I'll push this to master in a week unless I hear otherwise.
From 5ac6a241b117f372808b9d2a6ac78ca9af42dfaf Mon Sep 17 00:00:00 2001
From: Jim Meyering <[email-masked]>
Date: Thu, 20 Mar 2014 13:44:48 -0700
Subject: [PATCH] tests: depcomp2: avoid spurious failure on OS/X

* t/depcomp2.sh: Relax stderr-filtering regexp so that it also
works when the file name in the diagnostic is quoted, e.g.,
rm: cannot remove 'conftest.dSYM': Is a directory
---
 t/depcomp2.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/t/depcomp2.sh b/t/depcomp2.sh
index 3eba12d..3baaebf 100644
--- a/t/depcomp2.sh
+++ b/t/depcomp2.sh
@@ -47,7 +47,7 @@ $AUTOCONF
 cat stderr >&2
 # Ignore warning messages sometimes seen on Mac OS X; they are
 # not automake's fault anyway, but either autoconf's or Mac's.
-sed '/rm:.* conftest\.dSYM/d' stderr >stderr2
+sed '/rm:.*conftest\.dSYM/d' stderr >stderr2
 test -s stderr2 && { cat stderr2; exit 1; }

 :
-- 
1.9.0.258.g00eda23